# -*- encoding: utf-8 -*-
from openerp import models, fields, api, tools
from openerp.exceptions import ValidationError

class ProductServiceCarWorkShop(models.Model):
    _inherit = 'product.service'

    year=fields.Integer('Año')
    color=fields.Char('Color')
    policy = fields.Boolean()
    policy_number =fields.Char('Número de chapa')
    agent_id = fields.Many2one(
        'res.partner',
        string='Agente',
        ondelete='restrict'
    )
    secure_id = fields.Many2one(
        'res.partner',
        string='Aseguradora',
        ondelete='restrict'
    )
    odometer = fields.Float('Odometro')
    car_value = fields.Float('Valor del vehiculo')
    transmission = fields.Selection([('manual','Manual'), ('automatic','Automatico')], string="Tipo de transmision")
    fuel_type = fields.Selection([('gasoline','Gasolina'), ('diesel','Diesel'), ('electric','Electrico'), ('hybrid','Hibrido')], string="Tipo de combustible")
    seats = fields.Integer('Nro. de asientos')
    doors = fields.Integer('Nro. de puertas')